using System;
using System.Collections.Generic;
using UiPath.CodedWorkflows;

// NOTICE: The Coded Automations feature is available as a preview feature and APIs may be subject to change. 
//         No warranty or technical support is provided for this preview feature.
//         Missing features or encountering bugs? Please click the feedback button in the top-right corner and let us know!
// Please delete these comments after you've read and acknowledged them. For more information, please visit the documentation over at https://docs.uipath.com/studio/lang-en/v2023.4/docs/coded-automations.
namespace First_Coded_Test_Case
{
    public class WebFormTest : CodedWorkflow
    {
        [TestCase]
        public void Execute()
        {
            // Arrange
            Log("Test run started for WebFormTest.");
			 var screen = uiAutomation.Open("TestFormScreen");
            screen.TypeInto("Name", "John Doe");
            screen.TypeInto("Email", "john.doe@uipath.com");
            screen.TypeInto("Password", "1234");
            screen.TypeInto("Confirm Password", "1234");

            // Act
            // To invoke any workflow (XAML or coded), you can use helper methods in CodedWorkflow, e.g. RunWorkflow(...).
			screen.Click("Submit");

            // Assert
            // To start using activities, use IntelliSense (CTRL + Space) to discover the available services, e.g. testing.VerifyExpression(...).
			testing.VerifyExpression(screen.GetText("Verification") == "John Doe");
        }
    }
}